Bug 659331 - [abrt] python-bugzilla-0.6.1-3.fc14: xmlrpclib.py:658:dump_nil:TypeError: cannot marshal None unless allow_none is enabled
[abrt] python-bugzilla-0.6.1-3.fc14: xmlrpclib.py:658:dump_nil:TypeError: can...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: python-bugzilla (Show other bugs)
14
i686 Unspecified
low Severity medium
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
abrt_hash:a6a205ee
:
Depends On:
Blocks: 673441
  Show dependency treegraph
 
Reported: 2010-12-02 10:00 EST by loedur
Modified: 2012-02-04 17:39 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 673441 (view as bug list)
Environment:
Last Closed: 2012-02-04 17:39:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.56 KB, text/plain)
2010-12-02 10:00 EST, loedur
no flags Details

  None (edit)
Description loedur 2010-12-02 10:00:04 EST
abrt version: 1.1.14
architecture: i686
cmdline: /usr/bin/python /usr/bin/bugzilla info -c synaptic
component: python-bugzilla
executable: /usr/bin/bugzilla
kernel: 2.6.35.6-48.fc14.i686
package: python-bugzilla-0.6.1-3.fc14
reason: xmlrpclib.py:658:dump_nil:TypeError: cannot marshal None unless allow_none is enabled
release: Fedora release 14 (Laughlin)
time: 1291301856
uid: 500

backtrace
-----
xmlrpclib.py:658:dump_nil:TypeError: cannot marshal None unless allow_none is enabled

Traceback (most recent call last):
  File "/usr/bin/bugzilla", line 682, in <module>
    main()
  File "/usr/bin/bugzilla", line 360, in main
    for c in sorted(bz.getcomponents(opt.components)):
  File "/usr/lib/python2.7/site-packages/bugzilla/base.py", line 427, in getcomponents
    self._components[product] = self._getcomponents(product)
  File "/usr/lib/python2.7/site-packages/bugzilla/bugzilla3.py", line 58, in _getcomponents
    r = self._proxy.Bug.legal_values({'product_id':product,'field':'component'})
  File "/usr/lib/python2.7/xmlrpclib.py", line 1224, in __call__
    return self.__send(self.__name, args)
  File "/usr/lib/python2.7/xmlrpclib.py", line 1564, in __request
    allow_none=self.__allow_none)
  File "/usr/lib/python2.7/xmlrpclib.py", line 1085, in dumps
    data = m.dumps(params)
  File "/usr/lib/python2.7/xmlrpclib.py", line 632, in dumps
    dump(v, write)
  File "/usr/lib/python2.7/xmlrpclib.py", line 654, in __dump
    f(self, value, write)
  File "/usr/lib/python2.7/xmlrpclib.py", line 735, in dump_struct
    dump(v, write)
  File "/usr/lib/python2.7/xmlrpclib.py", line 654, in __dump
    f(self, value, write)
  File "/usr/lib/python2.7/xmlrpclib.py", line 658, in dump_nil
    raise TypeError, "cannot marshal None unless allow_none is enabled"
TypeError: cannot marshal None unless allow_none is enabled

Local variables in innermost frame:
write: <built-in method append of list object at 0x8bddb4c>
self: <xmlrpclib.Marshaller instance at 0x8bdd0cc>
value: None

How to reproduce
-----
1. Open a gnome-terminal
2. Type in the following and press [Enter]
bugzilla info -c synaptic

3. The "Automatic Bug Reporting Tool" was started
Comment 1 loedur 2010-12-02 10:00:06 EST
Created attachment 464266 [details]
File: backtrace
Comment 2 loedur 2010-12-17 15:32:01 EST
Package: python-bugzilla-0.6.1-3.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Open a gnome-terminal
2. Type in the following and press [Enter]
bugzilla info -c synaptic
3. The "Automatic Bug Reporting Tool" is started
Comment 3 Will Woods 2011-06-01 18:42:28 EDT
I've committed a fix for this to git master; it should be fixed in python-bugzilla 0.6.2.

http://git.fedorahosted.org/git/?p=python-bugzilla.git;a=commitdiff;h=740fbaf1
Comment 4 Cole Robinson 2012-02-04 17:39:37 EST
F14 is EOL. Doesn't look like this fix ended up there, but it the fixed version is in F16.

Note You need to log in before you can comment on or make changes to this bug.